# Uses of Class
org.apache.lucene.backward_codecs.packed.LegacyDirectMonotonicWriter

Packages that use LegacyDirectMonotonicWriter
Package
Description
org.apache.lucene.backward_codecs.packed
Legacy PackedInts methods

- ## Uses of LegacyDirectMonotonicWriter in org.apache.lucene.backward_codecs.packed

  Methods in org.apache.lucene.backward_codecs.packed that return LegacyDirectMonotonicWriter
  Modifier and Type
  Method
  Description
  `static LegacyDirectMonotonicWriter`
  LegacyDirectMonotonicWriter.`getInstance(IndexOutput metaOut, IndexOutput dataOut, long numValues, int blockShift)`
  Returns an instance suitable for encoding `numValues` into monotonic blocks of 2`blockShift` values.